aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--.travis-ci.sh6
-rw-r--r--.travis.yml1
2 files changed, 4 insertions, 3 deletions
diff --git a/.travis-ci.sh b/.travis-ci.sh
index 40beec6..8f6a5ca 100644
--- a/.travis-ci.sh
+++ b/.travis-ci.sh
@@ -62,13 +62,13 @@ elif [ "$TASK" = "codesmell" ]; then
elif [ "$TASK" = "sanitize" ]; then
# Run sanitized compile
travis_fold start "make_sanitize"
- if make sanitize; then
+ if ! make sanitize; then
exit "$?"
fi
travis_fold end "make_sanitize"
elif [ "$TASK" = "windows" ]; then
travis_fold start "make_windows"
- if make windows; then
+ if ! make windows; then
exit "$?"
fi
make -C backends lua.dll
@@ -92,7 +92,7 @@ elif [ "$TASK" = "windows" ]; then
else
# Otherwise compile as normal
travis_fold start "make"
- if make full; then
+ if ! make full; then
exit "$?"
fi
travis_fold end "make"
diff --git a/.travis.yml b/.travis.yml
index 8cf9e82..4e14339 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -134,6 +134,7 @@ before_cache:
before_install:
# Travis clones with --branch, which omits tags. Since we use them for the version string at build time, fetch them
- git pull --tags
+ - printf "This is %s on %s\n" "$(git describe)" "$TRAVIS_OS_NAME"
- if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then brew update; fi
# 'brew install' sometimes returns non-zero for some arcane reason. Executing 'true' resets the exit code and allows Travis to continue building...
# Travis seems to have Python 2.7 installed by default, which for some reason prevents pkg-config from reading python3.pc